
Figure - Bug #114089
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】打开应用小窗，直接关闭，进recent，点击应用卡片右上角的小窗按钮，打开的
小窗是直角
2022-11-22 17:38 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-22

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0022.X101

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301060629

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 之前设置圆角的方法没有调用,重新设计了小窗圆角的实现,在updateSuferSize中重新更新Task的圆角

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开应用小窗

2、关闭小窗

3、进recent

4、点击应用卡片右上角的小窗按钮

【预期结果】

4、正常进入小窗模式，且小窗是圆角

【实际结果】

4、打开的小窗是直角

【复现率】

5/5

Related issues:

Related to Figure - Bug # 114639: 【AF】【EVT】【小窗模式】拖动小窗后松手，... CLOSED 2022-12-16

History

#1 - 2022-12-08 11:40 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_V5.0_20221230

#2 - 2022-12-20 10:08 - DL FW-郝健

- Assignee changed from DL FW-郝健 to DL FW-张挽强

#3 - 2022-12-27 11:12 - DL FW-张挽强

- Status changed from New to ASSIGNED

■ My analysis

本问题与114639的问题原因一致，都由于设置圆角的调用时序问题导致悬浮窗设置圆角失效

■ Next action
圆角设置是在Task中的preparesurfaces的方法中执行的getSyncTransaction().setCornerRadius(getSurfaceControl(), FREE_FORM_RADIOS_CORNER_SIZE);

对比移动和热启动的，调用时序差别，修改圆角方案

#4 - 2022-12-29 19:39 - DL FW-张挽强

- Assignee changed from DL FW-张挽强 to CD FW-鲁凯峰

#5 - 2022-12-30 14:16 - CD TEST-方永红

- Target version changed from VX1_MCE_FSE_V5.0_20221230 to VX1_MCE_FSE_C sample_20230113

#6 - 2023-01-05 20:02 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 之前设置圆角的方法没有调用,重新设计了小窗圆角的实现,在updateSuferSize中重新更新Task的圆角

■ Current conclusion

问题已经解决

■ My analysis

之前设置圆角的方法没有调用,重新设计了小窗圆角的实现,在updateSuferSize中重新更新Task的圆角

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/174233

#7 - 2023-01-06 11:05 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301060629

1.6

验证通过

#8 - 2023-01-06 11:05 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190122 2022-11-22 17-35-32.mp4 16.2 MB 2022-11-22 CD TEST-方永红

logcat.txt 1.82 MB 2022-11-22 CD TEST-方永红
